Package org.apache.solr.client.solrj.request

## Class MultiContentWriterRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<UpdateResponse>
  - - org.apache.solr.client.solrj.request.AbstractUpdateRequest
    - - org.apache.solr.client.solrj.request.MultiContentWriterRequest

All Implemented Interfaces:
  `Serializable`, `IsUpdateRequest`

    public class MultiContentWriterRequest
    extends AbstractUpdateRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`AbstractUpdateRequest.ACTION`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`commitWithin, params`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`MultiContentWriterRequest​(SolrRequest.METHOD m, String path, Iterator<Pair<NamedList<String>,​Object>> payload)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `detect​(Object o)`
`RequestWriter.ContentWriter` `getContentWriter​(String expectedType)` If a request object wants to do a push write, implement this method.
`static ByteBuffer` `readByteBuffer​(InputStream is)`

### Methods inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`createResponse, getAction, getCommitWithin, getParams, getRequestType, isSendToLeaders, isWaitSearcher, rollback, setAction, setAction, setAction, setAction, setAction, setAction, setAction, setCommitWithin, setParam, setParams, setSendToLeaders, setWaitSearcher`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiContentWriterRequest

    public MultiContentWriterRequest​(SolrRequest.METHOD m,
                                     String path,
                                     Iterator<Pair<NamedList<String>,​Object>> payload)

Parameters:
  `m` - HTTP method
  `path` - path to which to post to
  `payload` - add the per doc params, The Object could be a ByteBuffer or byte[]

### Method Detail

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<UpdateResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### detect

    public static String detect​(Object o)
                         throws IOException

Throws:
  `IOException`

#### readByteBuffer

    public static ByteBuffer readByteBuffer​(InputStream is)
                                     throws IOException

Throws:
  `IOException`